@charset "UTF-8";

html {
	position: relative;
	overflow-x: hidden;
}

.story {
	h1 {
		display: block;
		margin-top: 70px;
		text-align: center;
	}
}

.col-2 {
	display: flex;
	gap: 108px;
	margin-top: 74px;

	>div {
		position: relative;
		max-width: max-content;

		&:hover h2 {
			color: #B40019;
		}
	}

	.col-left::before {
		content: "";
		background: url(../images/story/hexagonal.webp) no-repeat;
		background-size: contain;
		position: absolute;
		top: 246px;
		left: -225px;
		height: 642px;
		width: 561px;
		z-index: -1;
	}

	.col-right::before {
		content: "";
		background: url(../images/story/hexagonal.webp) no-repeat;
		background-size: contain;
		position: absolute;
		top: -173px;
		right: -200px;
		height: 642px;
		width: 561px;
		z-index: -1;
	}

	.thumbnail {
		aspect-ratio: 3 / 4;
		box-shadow: 8px 8px 0 rgba(16, 37, 67, .8);
		display: block;
		overflow: hidden;
		transition: .3s;
		margin: 0 auto;
		width: 100%;
		max-width: 516px;

		img {
			object-fit: cover;
			object-position: center;
			width: 100%;
			height: 100%;
		}

		&:hover {
			box-shadow:none;
			transform: translateY(8px);
			opacity: .7;
		}
	}

	h2 {
		color: #102543;
		font-family: 'Noto Serif JP';
		font-size: 55px;
		font-weight: 500;
		text-align: center;
		margin-top: 28px;

		span {
			display: block;
			font-size: 24px;
			font-weight: bold;
		}
	}
}

.col-3 {
	display: flex;
	gap: 88px;
	margin: 138px auto 220px;

	div {
		position: relative;

		&:hover {
			img {
				opacity: .7;
			}

			h2,h3 {
				color: #B40019;
			}

			h2 img {
				display: none;
			}

			h2 .hover {
				display: block
			}
		}
	}

	h2 {
		background: #fff;
		padding: 14px 10px 19px;
		position: absolute;
		top: 0;
		left: 0;
		transition: .3s;

		.hover {
			display: none;
		}
	}

	h3 {
		color: #102543;
		font-size: 30px;
		font-family: 'Noto Serif JP';
		font-weight: 500;
		margin-top: 12px;
		transition: .3s;
	}

	.thumbnail {
		display: block;
		overflow: hidden;
		width: 100%;
		max-width: 320px;
		height: 426px;

		img {
			object-fit: cover;
			object-position: center;
			transition: .3s;
			width: 100%;
			height: 100%;
		}
	}
}

@media screen and (max-width: 1140px) {

	.col-2 {
		gap: 54px;
	}

	.col-3 {
		gap: 50px;
	}
}

@media screen and (max-width: 767px) {
	.col-2 {
		flex-flow: column;
		align-items: center;
		max-width: max-content;
		margin: 77px auto 0;

		.thumbnail {
			aspect-ratio: auto;
			max-width: 317px;
			height: 422px;
		}

		h2 {
			font-size: 40px;
			margin-top: 16px;

			span {
				font-size: 16px;
			}
		}

		.col-left::before {
			background-position: center;
			top: -96px;
			left: -264px;
		}

		.col-right::before {
			background-position: center;
			top: -103px;
			right: -269px;
		}
	}

	.col-3 {
		flex-flow: column;
		align-items: center;
		margin: 70px auto 120px;

		.thumbnail {
			max-width: 317px;
			height: 422px;
		}

		h2 {
			padding: 12px 11px 15px;
			width: 60px;

			img {
				width: 100%;
			}
		}

		h3 {
			font-size: 26px;
		}
	}
}